\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=red, circle]
	\tikzstyle{eco}=[fill=green, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[soc] (m1s2) [right of=m1s1] {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {first};
	  
    \node[soc] (m2s1) [right of=m1s2, xshift=.25cm] {};
    \node[soc] (m2s2) [right of=m2s1] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {second};

    \node[soc] (m3s1) [right of=m2s2, xshift=.25cm] {};
    \node[soc] (m3s2) [right of=m3s1] {};
	\node[eco] (m3e1) [below of=m3s1] {};
	\node[eco] (m3e2) [right of=m3e1] {};
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=.5cm, align=flush center] {third};

    \node[soc] (m4s1) [right of=m3s2, xshift=.25cm] {};
    \node[soc] (m4s2) [right of=m4s1] {};
	\node[eco] (m4e1) [below of=m4s1] {};
	\node[eco] (m4e2) [right of=m4e1] {};
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=.5cm, align=flush center] {forth};

	
	\path (m1s1) edge [thick] (m1e1);
	\path (m2s1) edge [thick] (m2e2);
	\path (m3s2) edge [thick] (m3e1);
	\path (m4s2) edge [thick] (m4e2);

	
	\path (m1s1) edge [arrow, draw = gray] (m1s2);
    \path (m1e1) edge [arrow, draw = gray] (m1e2);

    \path (m2s1) edge [arrow, draw = gray] (m2s2);
    \path (m2e1) edge [arrow, draw = gray] (m2e2);

    \path (m3s1) edge [arrow, draw = gray] (m3s2);
    \path (m3e1) edge [arrow, draw = gray] (m3e2);

    \path (m4s1) edge [arrow, draw = gray] (m4s2);
    \path (m4e1) edge [arrow, draw = gray] (m4e2);

\end{tikzpicture}

\end{document}

